com.h3c.util.dao.query

## Class DaoFindQuery<P extends Storable<?>,T extends Transportable<? super T,?>,F,S>

- java.lang.Object
- - com.h3c.util.dao.ReadQuery<List<T>>
  - - com.h3c.util.dao.query.DaoFindQuery<P,T,F,S>

- Type Parameters:
    `P` - type of model persistent object
    `T` - type of the transport object
    `F` - type of the associated filter
    `S` - type of the associated sort specification type

      public class DaoFindQuery<P extends Storable<?>,T extends Transportable<? super T,?>,F,S>
      extends ReadQuery<List<T>>

  Returning data in the order specified by the sort specifications based on the filter.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DaoFindQuery(F filter, SortSpecification<S> sortSpec, Dao<?,P,T,F,S> dao)` Creates a find query.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected List<T>` | `execute(DataStoreContext context)` Executes the query.

    - ### Methods inherited from class com.h3c.util.dao.ReadQuery

      `execute`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DaoFindQuery

          public DaoFindQuery(F filter,
                      SortSpecification<S> sortSpec,
                      Dao<?,P,T,F,S> dao)

      Creates a find query.
      Parameters:
        `filter` - filter to apply
        `sortSpec` - sort specification
        `dao` - the DAO to carry out the operation

  - ### Method Detail

    - #### execute

          protected List<T> execute(DataStoreContext context)

      Description copied from class: `ReadQuery`
      Executes the query.
      Specified by:
        `execute` in class `ReadQuery<List<T extends Transportable<? super T,?>>>`
      Parameters:
        `context` - data store context.
      Returns:
        the result of the query.

Copyright © 2014. All Rights Reserved.